Subject: Re: [Enum] New DNS record class values?

From: "David P. Peek" <[email-masked]>
Date: Thu, 20 Jan 2000 21:47:25 -0500

-----Original Message-----
From: Rosen, Brian <[email-masked]>
To: David P. Peek <[email-masked]>; [email-masked] <[email-masked]>
Date: Thursday, January 20, 2000 8:24 PM
Subject: RE: [Enum] New DNS record class values?

>Insert standard disclaimer about not being an ENUM subject
>
>> We have also found that service providers demand more control
>> over access to
>> their data. Service providers and network operators want to
>> control who has
>> access to entries down to the attribute level and service
>> level.  This is
>> difficult to do with DNS alone.  Security of information such
>> as what is
>> public and what is private can be eloquently supported using
>> LDAP servers
>> with access control information.
>
>Most, but not all, of this information is MINE, not a service provider's.
>I own in, I want to control it.  It may be that service providers
>have some information they keep for their own internal purposes (as
>long as they disclose such purposes to me), so the problem is not anywhere
>near
>as simple as -an- LDAP query. I also will undoubtedly have multiple service
>providers.  As a result, I may need multiple entries to do parallel
>searches in the DNS record. The question turns on whether any of the
>information
>a service provider needs to complete a call to another service provider
>is in the service provider's database, thus requiring public record lookup,
>or whether the information needed is all mine, and I can choose to release
>portions of it depending on access controls.  The latter gets the problem
>simpler, but I suspect the former is more likely, probably more due to
>intrangicence rather than need.
>
>I probably have at least two Voice mailboxes - personal and office, and I
>might
>have a shared home one too.  I would want a single configuration, where
>common data is entered once, and VM service provider value-add data is
>entered
>separately, if possible on one web page.  The call forwarding logic of my
>(cell,
>home, work) telephony service provider may result in a call being handled
>by
>one of my VM service providers, handed off by any of my telephony service
>providers.
>For example some one calls me personally, my home phone and my cell phone
>ring
>simultaneously, first answer gets the call, no answer forwards to my
>personal
>VM box.  I want, as much as possible, to have them behave the same, use the
>same basic configuration, etc.  My DNS record (it's mine, or possibly my
>employer's)
>might be getting big, but so what?

The services you describe are exactly the reasons for a two-tiered approach.
The data values are indeed yours and you (through your service
provider(s) ) may adjust these values and determine who gets access and how
your
services are configured.  The competition to supply enhanced services will
create
more sophisticated  second-tier servers capable of delivering the control
and special
features users want.  Using DNS alone wont give this type of flexibility and
control that you demand.  DNS is a very good technology for what it does and
it continues to be a critical component to the solution.

I'd be glad to continue this conversation offline since we are getting
outside the scope of
ENUM as was mentioned.  Your example of controlling multiple mailboxes was
demonstrated
in a VMA demonstration in Helsinki in June of 1999 with the use of a global
directory service.
I think your examples are very accurate and should be taken into
consideration while we are
all creating the infrustructure. -dpp

>
>Brian
>------------
>Brian Rosen, Principal Engineer
>Marconi (Formerly FORE Systems)
>1000 FORE Drive, Warrendale, PA 15086
>(724) 742-6826  mailto:[email-masked]
>
>
>_______________________________________________
>enum mailing list
>[email-masked]
>http://www.ietf.org/mailman/listinfo/enum
>

_______________________________________________
enum mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/enum

---

From: Richard Shockey <[email-masked]>
Date: Thu, 20 Jan 2000 21:13:49 -0600

>all creating the infrustructure. -dpp

There are going to be lots of "out of scope" issues related to ENUM that 
folks may want to discuss. Maybe we should get a new list started. I would 
like to participate in these discussions as well.

  Patrik ... good idea?  .. [ our WG chair is out sick so we can rely on 
Patrik's judgement :-) ]

Richard Shockey
Shockey Consulting LLC
8045 Big Bend Blvd. Suite 110
St. Louis, MO 63119
Voice 314.918.9020
eFAX Fax to EMail 815.333.1237 (Preferred for Fax)
INTERNET Mail & IFAX : [email-masked]
GSTN Fax 314.918.9015
MediaGate iPost VoiceMail and Fax 800.260.4464
<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<